Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505402 - sys-apps/portage-2.2.9 - Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'
Summary: sys-apps/portage-2.2.9 - Error during set creation: Could not import 'smartli...
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Third-Party Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords:
Depends on: 530268
Blocks:
  Show dependency tree
 
Reported: 2014-03-23 06:19 UTC by Pavel Volkov
Modified: 2021-04-29 17:30 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2014-03-23 06:19:05 UTC
This error appeared after I updated to latest portage (2.2.9)
I have app-portage/smart-live-rebuild-1.3.3 installed.

It happens every time I launch emerge:

$ emerge
Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'

Reproducible: Always




Portage HEAD (default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.2, glibc-2.18-r1, 3.13.6-gentoomelf x86_64)
=================================================================
System uname: Linux-3.13.6-gentoomelf-x86_64-Intel-R-_Core-TM-_i5-2400_CPU_@_3.10GHz-with-gentoo-2.2
KiB Mem:    16413768 total,   3661036 free
KiB Swap:   17825788 total,  17825788 free
Timestamp of tree: Sun, 23 Mar 2014 05:15:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p45-r1
dev-lang/python:          2.7.6, 3.3.4
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo custom
Installed sets: @fonts, @mkde, @python-extra, @vim
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE MPEG-4 myspell-ru_RU-ALexanderLebedev freedist vim.org unRAR BitstreamCyberbit MSttfEULA grass-ipafonts free-noncomm CC-BY-NC-ND-3.0 NVIDIA-r2 google-chrome"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/ibus/component/simple.xml"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ http://trumpetti.atm.tut.fi/gentoo/"
INSTALL_MASK="/etc/init.d/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="X a52 aac acl acpi alsa amd64 anthy bluetooth branding bzip2 cairo cdda cdr cjk cli cracklib crypt cryptsetup cups cxx dbus declarative djvu dri dts dvd dvdr embedded emboss encode exif fam ffmpeg firefox flac fortran gdbm gif git gpm gstreamer gtk iconv icu idn ipv6 jpeg kde kipi lame lcms libnotify lm_sensors mad mmx mng modules mp3 mp4 mpeg ncurses nls nptl ogg opengl openmp openvg pam pango pcre pdf phonon plasma png policykit ppds pulseaudio python qt3support qt4 raw readline samba scanner sdl semantic-desktop session spell sse sse2 ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vdpau vorbis wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB ru ja" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby21" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 1 Pavel Volkov 2014-03-24 16:12:03 UTC
No longer appears with app-portage/smart-live-rebuild-1.3.4
Comment 2 Christoph Mende (RETIRED) gentoo-dev 2014-04-13 20:26:05 UTC
Looks like it's back with portage-2.2.10 and s-l-r-1.3.4
Comment 3 dwfreed 2014-04-13 20:35:47 UTC
Could you provide 'emerge --info smart-live-rebuild' please?  My guess is that the python version you're running portage with is not included in PYTHON_TARGETS for smart-live-rebuild.
Comment 4 Pavel Volkov 2014-04-13 20:39:45 UTC
Original poster here.
No problems so far.
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2014-09-28 09:48:50 UTC
# eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2
  [3]   python3.3 *
  [4]   python3.4
# emerge -vp app-portage/smart-live-rebuild sys-apps/portage
Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'

These are the packages that would be merged, in order:

[ebuild   R    ] app-portage/smart-live-rebuild-1.3.3  PYTHON_TARGETS="python2_7 python3_3 (-python3_2)" 0 KiB
[ebuild   R   ~] sys-apps/portage-2.2.14_rc1  USE="(ipc) xattr -build -doc -epydoc -selinux" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_3 python3_4 -pypy (-python3_2)" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB
Comment 6 Brian Dolbec gentoo-dev 2014-09-28 15:23:12 UTC
It is fixed in smart-live-rebuild-1.3.4.  Perhaps it's time to stabilize that version.  First run is with s-m-l-1.3.3 installed.


brian@big_daddy ~ $ emerge -1 =app-portage/smart-live-rebuild-1.3.3 =sys-apps/portage-2.2.14_rc1 -vp
!!! Repository 'vdr-devel' has sync-type attribute set to unsupported value: 'layman'
!!! Repository 'wtk' has sync-type attribute set to unsupported value: 'layman'
Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'

These are the packages that would be merged, in order:

Calculating dependencies /... done!


Exiting on signal 2
brian@big_daddy ~ $ eselect python list
Available Python interpreters:
  [1]   python2.5
  [2]   python2.6
  [3]   python2.7
  [4]   python3.1
  [5]   python3.2
  [6]   python3.3 *
  [7]   python3.4
brian@big_daddy ~ $ emerge -1 =app-portage/smart-live-rebuild-1.3.3 =sys-apps/portage-2.2.14_rc1 -vp
!!! Repository 'vdr-devel' has sync-type attribute set to unsupported value: 'layman'
!!! Repository 'wtk' has sync-type attribute set to unsupported value: 'layman'

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD ] app-portage/smart-live-rebuild-1.3.3 [1.3.4] PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4%*)" 0 KiB
[ebuild   R    ] sys-apps/portage-2.2.14_rc1  USE="doc epydoc (ipc) -build (-selinux) -xattr" LINGUAS="-ru" PYTHON_TARGETS="pypy python2_7 python3_3 python3_4 (-python3_2)" 0 KiB

Total: 2 packages (1 downgrade, 1 reinstall), Size of downloads: 0 KiB
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2014-09-29 00:39:31 UTC
Yes.
Comment 8 Paul Osmialowski 2020-02-12 23:30:37 UTC
Happens again after today update of app-portage/smart-live-rebuild-1.3.6 which drops python2_7 target still used by sys-apps/portage.
Comment 9 Paul Osmialowski 2020-02-12 23:37:49 UTC
I've unmerged app-portage/smart-live-rebuild and now sys-apps/portage seems to work just fine...
Comment 10 Nikita Zlobin 2021-04-29 14:34:47 UTC
First experienced after upgrade to 1.3.7, just now.
Comment 11 Nikita Zlobin 2021-04-29 17:30:19 UTC
Determined reason:
smart-live-rebuild must support python version, used to run emerge.

At least one previous post here already showed it, but not so directly, so I missed it. Runing it with explicit python executable helps to avoid it:
$ python3.7 `which emerge` ...